commit:     4330b187f5259467d4eb2add0b68e574ec1afc98
Author:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Wed Jul 23 16:04:38 2025 +0000
Commit:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Wed Jul 23 16:04:38 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4330b187

net-misc/rclone: add 1.70.3

Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>

 net-misc/rclone/Manifest             |  2 +
 net-misc/rclone/rclone-1.70.3.ebuild | 76 ++++++++++++++++++++++++++++++++++++
 2 files changed, 78 insertions(+)

diff --git a/net-misc/rclone/Manifest b/net-misc/rclone/Manifest
index fd31741b70a0..b8b1779ae05d 100644
--- a/net-misc/rclone/Manifest
+++ b/net-misc/rclone/Manifest
@@ -4,3 +4,5 @@ DIST rclone-v1.69.3-vendor.tar.gz 13810497 BLAKE2B 
ed161fb74924f5bc55bd0ab686448
 DIST rclone-v1.69.3.tar.gz 16914655 BLAKE2B 
743b5da4d49313609da78d944eae6fbdd350c9038089185143b57dfb5bd148fb3e873759c43d31ae89e4efd655526f56a886dc06585480d8ece29f9538db57e3
 SHA512 
58ed473a1df18c3e132d544d0f90352b6834a8e2f1f09236c15e08703bba966d717d0c8bf064218c3dcf15e7b1caf7f073368b9660af0de0053d68535f141e39
 DIST rclone-v1.70.2-vendor.tar.gz 14424884 BLAKE2B 
3d506e4ffc78a5db2d2b723b4880e53324d9da6e7f49499b6d27d598c4e452afb586e029f1382cdf252e558b725a47b5a76dfaa8f02a13445ff832d98373d408
 SHA512 
53d2958d122d15287a6c91af8d037fd0f92b4c7cf3de75c9f55a3bc0ce0d1ef291f9bacba08a08b45531d2175678e1fed0667a843afef88016897ad7287b9704
 DIST rclone-v1.70.2.tar.gz 17165801 BLAKE2B 
2bfb1016c8c7fb240ecf524d787d77e1533126419aa79579bc8cad2c02da0d8971cac2428fb2450d00d1fa302f6b9d44195d36103226a75c300a28e2e3d96a5b
 SHA512 
abed603d428aaaeb197e4dec753bdf40ba2342ed43e815553d186382eae21453ee4eea0dfda518592b31d0d6dafaa22139a9ccf66f042244f4782228a5df1477
+DIST rclone-v1.70.3-vendor.tar.gz 14425038 BLAKE2B 
42dd90987361ef7fa56fabaa2b2e84f136bf881637274b5c0d17a20e017f7d5d9e2744e23d926721ce95b777091720ad2b56790dbdc1bc3b85c7330bbd137676
 SHA512 
74170e170caefbc216da17047cdd55b813813e99d9c18caa8e558b664fedf833fad1167ad1f0616976493d103d183c80098f14af3301f02b04db0ad8c12ab012
+DIST rclone-v1.70.3.tar.gz 17167294 BLAKE2B 
cfb0aade4de66b6df20d7ec85615f117f49cc2c038fefa20002d31c4d4d5f9264ba98fd31140bde484f83f7c088b5aa921811c39be7b98221636f8149bb66631
 SHA512 
a6bf759348c86b5a7d4ec9213867d1690efb486b7c3286f29e2fe3853bfcf3fd073064e497084ed0198406a0554ed31b0faf0a2d0c387c2f236836ab7b5d0727

diff --git a/net-misc/rclone/rclone-1.70.3.ebuild 
b/net-misc/rclone/rclone-1.70.3.ebuild
new file mode 100644
index 000000000000..5bea155d0f76
--- /dev/null
+++ b/net-misc/rclone/rclone-1.70.3.ebuild
@@ -0,0 +1,76 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit shell-completion check-reqs edo go-module
+
+DESCRIPTION="A program to sync files to and from various cloud storage 
providers"
+HOMEPAGE="https://rclone.org/
+       https://github.com/rclone/rclone/";
+
+SRC_URI="
+       
https://github.com/rclone/rclone/releases/download/v${PV}/${PN}-v${PV}.tar.gz
+       
https://github.com/rclone/rclone/releases/download/v${PV}/${PN}-v${PV}-vendor.tar.gz
+"
+S="${WORKDIR}/rclone-v${PV}"
+
+LICENSE="Apache-2.0 BSD BSD-2 ISC MIT MPL-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~x86"
+
+RDEPEND="
+       sys-fs/fuse:3=
+"
+
+CHECKREQS_DISK_BUILD="2500M"
+
+pkg_setup() {
+       check-reqs_pkg_setup
+}
+
+src_unpack() {
+       mkdir -p "${S}" || die
+       ln -s "../vendor" "${S}/vendor" || die
+
+       go-module_src_unpack
+}
+
+src_compile() {
+       local go_ldflags="
+               -X github.com/rclone/rclone/fs.Version=${PV}
+       "
+       local -a go_buildargs=(
+               -ldflags "${go_ldflags}"
+               -mod=vendor
+               -o ./
+       )
+       ego build "${go_buildargs[@]}"
+
+       edob ./rclone genautocomplete bash "${PN}.bash"
+       edob ./rclone genautocomplete zsh "${PN}.zsh"
+       edob ./rclone genautocomplete fish "${PN}.fish"
+}
+
+src_test() {
+       # Setting CI skips unreliable tests, see "fstest/testy/testy.go"
+       # "TestAddPlugin" and "TestRemovePlugin" fail.
+       local -x CI="true"
+       local -x RCLONE_CONFIG="/not_found"
+
+       ego test -mod=vendor -v -run "!Test.*Plugin" ./...
+}
+
+src_install() {
+       exeinto /usr/bin
+       doexe "${PN}"
+       dosym -r "/usr/bin/${PN}" /usr/bin/mount.rclone
+       dosym -r "/usr/bin/${PN}" /usr/bin/rclonefs
+
+       newbashcomp "${PN}.bash" "${PN}"
+       newzshcomp "${PN}.zsh" "_${PN}"
+       dofishcomp "${PN}.fish"
+
+       doman "${PN}.1"
+       einstalldocs
+}

Reply via email to